{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-ingress
  namespace: argocd
spec:
  description: Allow access from the ingress controller
  endpointSelector:
    matchLabels:
      app.kubernetes.io/component: server
  ingress:
    - fromEndpoints:
        - matchLabels:
            io.kubernetes.pod.namespace: ingress-nginx
{{- end }}
